/***************************************************************************
 *   Copyright (C) 2008 by Gustavo Pichorim Boiko                          *
 *   boiko@mandriva.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef MYWINDOW_H
#define MYWINDOW_H

#include <QMainWindow>
#include "ui_mywindow.h"

class ImageWidget;

class MyWindow : public QMainWindow
{
    Q_OBJECT
public:
    MyWindow();
    ~MyWindow();

public slots:
   void slotMaxChanged(int value);
   void slotEnableDisable();

private:
   Ui::MyWindow m_ui;
   ImageWidget *m_widget;
};

#endif
